package moe.oko.opennaw.model.type;

public enum CityType {

    NORMAL("A normal city, capture-able and with resources."),

    CAPITAL("A city that cannot be captured, however it can be capitulated."),

    /*
    Future Functionality
     */
    PORT("A city used for trade that cannot be attacked, owned by a foreign power. (unimplemented)");

    public final String desc;
    CityType(String desc) {
        this.desc = desc;
    }

    public String getDescription() { return desc; }
}
